qmailとtcpserverでメールサーバを構築しようとしています。
qmailのほうはうまくいきました。送信はできます。
pop接続用にtcpserverを使おうとしてるんですが
ucspi-tcp-0_84.tar.gzを展開して
make setup check
を行うと次のようなエラーメッセージが出てインストールできません。
考えられる原因はなんでしょうか?

./load tcpclient ip.o ipalloc.o dns.o remoteinfo.o \
timeoutconn.o timeoutread.o timeoutwrite.o getopt.a \
strerr.a stralloc.a env.a alloc.a ndelay.a substdio.a \
error.a str.a sig.a fd.a case.a fs.a `cat dns.lib` `cat \
socket.lib`
dns.o: In function `resolve':
dns.o(.text+0x11f): undefined reference to `__dn_expand'
dns.o: In function `findname':
dns.o(.text+0x1c1): undefined reference to `__dn_expand'
dns.o(.text+0x23a): undefined reference to `__dn_expand'
dns.o: In function `findip':
dns.o(.text+0x2c1): undefined reference to `__dn_expand'
dns.o: In function `findmx':
dns.o(.text+0x3c5): undefined reference to `__dn_expand'
dns.o(.text+0x460): more undefined references to `__dn_expand' follow
dns.o: In function `dns_init':
dns.o(.text+0x4b5): undefined reference to `__res_search'
dns.o(.data+0xc): undefined reference to `__res_query'
collect2: ld returned 1 exit status
make: *** [tcpclient] エラー1

OSはTurboLinux7です。

このQ&Aに関連する最新のQ&A

A 回答 (1件)

エラーの直接的な回答ではありませんが.



ucspi-tcp のバージョンが古いためではないでしょうか?
0.86 移行に、かなりコードが書き直されているようです.
最新の ucspi-tcp-0.88.tar.gz を利用することを
お薦めしますが.
(参考URL)

==

エラーの原因は、(多分) bind 関係のライブラリ(libbind.a とか
libresolv.a)をリンクしていないためだと思います.

参考URL:http://cr.yp.to/ucspi-tcp.html
    • good
    • 0
この回答へのお礼

回答、どうもです。
ucspi-tcp-0.88.tar.gzにしたらあっさりできてしまいました。
で、pop接続もちゃんとできるようになりました。
このたびはありがとうございました。

お礼日時:2001/11/13 13:43

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング

おすすめ情報